<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada showSubmit="false">
		<t:tabelaEntrada>
			<t:property name="id"/>
			<t:property name="nome" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" />
			<t:property name="dtNasc" type="DATE"  />
			<t:property name="login" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
			<t:property name="password" type="PASSWORD"/>
			<n:group columns="2" legend="Endereo" colspan="2">
				<t:property name="logradouro" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" />
				<n:panel colspan="2">&nbsp;</n:panel>
				<t:property name="numero" />
				<t:property name="complemento" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="bairro" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="cidade" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="cep" type="CEP"/>
				<t:property name="uf" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="pontoReferencia" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
			</n:group>			
		</t:tabelaEntrada>
		<t:detalhe name="papeis">
			<t:property name="papel"/>
		</t:detalhe>
	</t:janelaEntrada>
</t:entrada>