<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada showSubmit="false">
		<t:tabelaEntrada>
			<t:property name="id"/>
			<t:property name="nome" />
			<t:property name="legenda" type="TEXT"/>
			<t:property name="conclusao" type="text"/>
		</t:tabelaEntrada>
		<t:detalhe name="ensaioKits" showBotaoNovaLinha="false" showBotaoRemover="false">
			<t:property name="id" type="HIDDEN" write="true"/>
			<t:property name="ensaioKit" label="Ensaio Anlise"/>
			<t:property name="unidade"/>
			<t:property name="metodoAnalitico"/>
			<t:property name="vmp"/>
			<t:property name="embalagem"/>
			<t:property name="conservante"/>
			<t:property name="procAnalise" label="Prc. de Anlise"/>
			<t:property name="prazoEntrega"/>
    		<t:property name="prazo" type="SELECT_ONE_RADIO" includeBlank="false"/>
			<t:property name="prazoVencimento"/>
			<t:property name="ld"/>
			<t:property name="volume"/>
		</t:detalhe>
	</t:janelaEntrada>
</t:entrada>