<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada showSubmit="false">
		<t:tabelaEntrada>
			<n:panelGrid columns="4" colspan="2" >
				<c:if test="${empty cliente.id}">
					<n:panel colspan="2">&nbsp;${cliente.id}</n:panel>	
				</c:if>
				<t:property name="id" />
				<n:panel colspan="2">&nbsp;</n:panel>
				<t:property name="nome"/>
				<t:property name="nome"/>
				<t:property name="telefone" type="TELEFONE"/>
				<t:property name="celular" type="TELEFONE"/>
				<t:property  name="dtNasc" type="DATE"/>
			    <t:property name="tipoPessoa"/>
				<n:panel propertyRenderAsDouble="true" colspan="2">
					<t:property name="cnpj" type="CNPJ"/>
					<t:property name="cpf" type="CPF"/>
				</n:panel>
			</n:panelGrid>
			<n:group columns="6" legend="Financeiro" colspan="4">
				<t:property name="percentual"  type="FLOAT" pattern="####,##,#0.00" />
				<n:panel colspan="2">&nbsp;</n:panel>
				<n:panel colspan="2">&nbsp;</n:panel>
				<t:property name="banco"/>
				<t:property name="agencia"/>
				<t:property name="conta"/>
			</n:group>
			<n:group columns="4" legend="Endereo" colspan="4">
				<t:property name="endereco.logradouro" />
				<t:property name="endereco.numero" type="INTEGER"/>
				<t:property name="endereco.complemento"/>
				<t:property name="endereco.bairro"/>
				<t:property name="endereco.cidade"/>
				<t:property name="endereco.cep" type="CEP"/>
				<t:property name="endereco.uf" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="endereco.pontoReferencia"/>
			</n:group>			
		</t:tabelaEntrada>
		<t:detalhe name="clientes" showBotaoNovaLinha="false" showColunaAcao="false" showBotaoRemover="false">
			<t:property name="id" type="HIDDEN" write="true"/>
			<t:property name="nome"  type="HIDDEN" write="true"/>
			<t:property name="tipoCadastro" type="HIDDEN" write="true"/>
			<t:property name="tipoPessoa" type="HIDDEN" write="true"/>
			<t:property name="cnpj" type="HIDDEN" write="true"/>
			<t:property name="cpf" type="HIDDEN" write="true"/>
		</t:detalhe>
	</t:janelaEntrada>
</t:entrada>