<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:listagem>
	<t:janelaFiltro>
		<t:tabelaFiltro>
			<n:panelGrid columns="4" >
				<t:property name="id" style="width: 100px" panelStyle="halign: left;" 	/>
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true" renderAs="single"/>
				<t:property name="numeroNf" renderAs="single"/>
				<t:property name="tipoDocEnum" blankLabel="Todos"/>
				<n:panel>
					<t:property name="situacaoDocEnum" blankLabel="Todos"/>
					<t:property name="filtroExcluido" blankLabel="Todos" />
				</n:panel>
			</n:panelGrid>
		</t:tabelaFiltro>
	</t:janelaFiltro>
	<t:janelaResultados>
		<t:tabelaResultados showConsultarLink="true">
			<t:property name="id" headerStyle="width:50px;text-align:right;"/>
			<t:property name="cliente.nome" label="Cliente"/>
			<t:property name="dataEmissao" type="DATE" headerStyle="width:50px;text-align:right;" label="Emissao"/>
			<t:property name="dataVencimento" type="DATE" headerStyle="width:50px;text-align:right;" label="Vencimento"/>
			<t:property name="numeroNf" type="INTEGER" headerStyle="width:80px;text-align:right;"/>
			<t:property name="valorTotal" headerStyle="width:100px;text-align:right;"/>
			<t:property name="tipoDocEnum" headerStyle="width:150px;"/>
			<t:property name="situacaoDocEnum" headerStyle="width:150px;"/>
			<t:property name="filtroExcluidoEnum" headerStyle="width:49px;" bodyStyle="text-align:center;"/>
		</t:tabelaResultados>
	</t:janelaResultados>
</t:listagem>