<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>
<t:listagem>
	<t:janelaFiltro>
		<t:tabelaFiltro>
			<n:panelGrid columns="4" >
				<t:property name="id" style="width: 97px" panelStyle="halign: left;" 	/>
				<t:property name="filtroExcluido" blankLabel="Todos" />
				<n:panel>Perodo</n:panel>
				<n:panel>				
					<t:property name="dataI" type="DATE" showLabel="false" />
					<t:property name="dataF" type="DATE" label="&agrave;" />
				</n:panel>	
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
			</n:panelGrid>
		</t:tabelaFiltro>
	</t:janelaFiltro>
	<t:janelaResultados>
		<t:tabelaResultados showConsultarLink="true">
			<t:property name="id" headerStyle="width:50px;text-align:right;"/>
			<t:property name="cliente.nome"/>
			<t:property name="cliente.nomeFantasia"/>
			<t:property name="data" type="DATE"  pattern="dd/MM/yyyy"/>
			<t:property name="validade" type="INTEGER" headerStyle="width:30px;text-align:right;"/>
			<t:property name="desconto" type="FLOAT" pattern="####,##,#0.00" headerStyle="width:50px;text-align:right;white-space: nowrap;"/>
			<t:property name="valorTotal" type="MONEY" headerStyle="width:100px;text-align:right;white-space: nowrap;"/>
			<t:property name="filtroExcluidoEnum" headerStyle="width:49px;" bodyStyle="text-align:center;"/>
		</t:tabelaResultados>
	</t:janelaResultados>
</t:listagem>