<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada showSubmit="false">
		<t:tabelaEntrada>
			<n:panelGrid columns="4">
				<t:property name="id"/>
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
				<n:panel>Data/Hora Coleta</n:panel>
				<n:panel>
					<t:property name="dataColeta" id="f_dataColeta"  type="DATE" pattern="dd/MM/yy"/>
					<t:property name="horaColeta" type="TIME" pattern="HH:mm" />
				</n:panel>
				<n:panel>Data/Hora Entrada</n:panel>
				<n:panel>
					<t:property name="dataEntrada" id="f_dataEntrada" type="DATE" pattern="dd/MM/yy"/>
					<t:property name="horaEntrada" type="TIME" pattern="HH:mm"/>
				</n:panel>
				<t:property name="cispoa"/>
				<t:property name="dataSaida" id="f_dataSaida" type="DATE" pattern="dd/MM/yy"/>
				<t:property name="coletador"/>
				<t:property name="tipoAmostra"/>
				<t:property name="identificaoAmostra" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="localColeta" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" size="60"/>
				<t:property name="dataFabricacao" id="f_dataFabricacao" type="DATE" pattern="dd/MM/yy"/>
				<t:property name="dataValidade" id="f_dataValidade" type="DATE" pattern="dd/MM/yy"/>
				<t:property name="temperaturaAmostra" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="quantidadeAmostra" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" size="60"/>
				<t:property name="embalagem" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="lacreCispoa" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" size="60"/>
				<t:property name="conclusao" size="142" colspan="4" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="situacaoRequisicaoEnum" type="HIDDEN" write="true"/>
				<t:property name="orcamento.id" type="hidden" write="true"/>
			</n:panelGrid>
		</t:tabelaEntrada >
		<t:detalhe name="itensRequisicaoAnalise" showBotaoNovaLinha="false" showColunaAcao="false">
		    <t:property name="id"/>
			<t:property name="ensaioAnalise"/>
			<t:property name="resultado"/>
			<t:property name="unidadeMedida"/>
			<t:property name="metodologia"/>
			<t:property name="vmp"/>
			<t:property name="ld"/>
			<t:property name="valor"/>
		</t:detalhe>
	</t:janelaEntrada>		
</t:entrada>		