<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:listagem showNewLink="false">
	<t:janelaFiltro>
		<t:tabelaFiltro >
			<n:panelGrid columns="4" >
				<t:property name="id" style="width: 100px" panelStyle="halign: left;" 	/>
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
				<t:property name="tipoAmostra"  blankLabel="Todos"/>
				<n:panel>Situao </n:panel>
				<n:panelGrid columns="4">
					<t:property name="situacaoRequisicaoEnum" showLabel="FALSE" blankLabel="Todos" renderAs="single"/>
					<t:property name="filtroExcluido" blankLabel="Todos" renderAs="single"/>
				</n:panelGrid>
			</n:panelGrid>
		</t:tabelaFiltro>
	</t:janelaFiltro>
	<t:janelaResultados>
		<t:tabelaResultados showConsultarLink="true">
			<t:property name="id" headerStyle="width:50px;text-align:right;"/>
			<t:property name="cliente.nome" label="Cliente"/>
			<t:property name="dataColeta" type="DATE" headerStyle="width:50px;text-align:right;" pattern="dd/MM/yy" label="Coleta"/>
			<t:property name="dataEntrada" type="DATE" headerStyle="width:50px;text-align:right;" pattern="dd/MM/yy" label="Entrada"/>
			<t:property name="dataSaida" type="DATE" headerStyle="width:50px;text-align:right;" pattern="dd/MM/yy" label="Sada"/>
			<t:property name="tipoAmostra.nome" label="Tipo de Amostra"/>
			<t:property name="orcamentoTipoAmostra.descricao" label="Ponto de Coleta"/>		
			<t:property name="identificaoAmostra"/>
			<t:property name="localColeta" />
			<t:property name="situacaoRequisicaoEnum"/>
			<t:property name="filtroExcluidoEnum" headerStyle="width:49px;" bodyStyle="text-align:center;"/>
		</t:tabelaResultados>
	</t:janelaResultados>
</t:listagem>