<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:relatorio titulo="Extrato Mensal" >
	<t:janelaFiltro >
		<t:tabelaFiltro submitAction="gerar" submitLabel="Imprimir o Extrato Mensal">
			<n:panelGrid propertyRenderAsDouble="true" columns="4" >
				<t:property name="mes" />
				<t:property name="ano"/>
				<n:panel>Perodo</n:panel>
				<n:panel>				
					<t:property name="dataI" type="DATE" showLabel="false" />
					<t:property name="dataF" type="DATE" label="&agrave;" />
				</n:panel>	
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
				<t:property name="vencimento"/>
				<t:property name="nf" label="Nota Fiscal"/>
			</n:panelGrid>
		</t:tabelaFiltro>
	</t:janelaFiltro>
</t:relatorio>