package br.com.mss.labqp.cadastro.dao;

import org.nextframework.persistence.QueryBuilder;

import br.com.mss.labqp.GenericAuditDAO;
import br.com.mss.labqp.cadastro.entity.Cliente;
import br.com.mss.labqp.cadastro.entity.EnderecoCliente;
import br.com.mss.labqp.geral.TipoEnderecoEnum;

public class EnderecoClienteDAO extends GenericAuditDAO<EnderecoCliente> {

	public EnderecoCliente  findByTipoEndereco(Cliente cliente, TipoEnderecoEnum tipoEndereco) {
		QueryBuilder<EnderecoCliente> query = this.query();
		query.where("enderecoCliente.cliente = ?",cliente );
		query.where("enderecoCliente.tipoEndereco = ?",tipoEndereco);
		return query.unique();
	}
	

}
