package br.com.mss.labqp.cadastro.dao;

import java.util.List;

import org.nextframework.persistence.QueryBuilder;

import br.com.mss.labqp.GenericAuditDAO;
import br.com.mss.labqp.cadastro.entity.EnsaioKit;
import br.com.mss.labqp.cadastro.entity.Ensaio;

public class EnsaioKitDAO extends GenericAuditDAO<EnsaioKit> {

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#findBy(java.lang.Object)
	 */
	public List<EnsaioKit> findByEa(Ensaio ea) {
		QueryBuilder<EnsaioKit> query = query();
		query.joinFetch("ensaioKit.ensaio");
		query.joinFetch("ensaioKit.ensaioKit");
		query.where("ensaioKit.ensaio.id = ? ", ea.getId());
		query.orderBy("ensaioKit.ensaioKit.nome");
		return query.list();
	}

	
}
