package br.com.mss.labqp.cadastro.service;

import java.util.List;

import org.nextframework.service.GenericService;

import br.com.mss.labqp.cadastro.dao.EnsaioKitDAO;
import br.com.mss.labqp.cadastro.entity.EnsaioKit;
import br.com.mss.labqp.cadastro.entity.Ensaio;

public class EnsaioKitService extends GenericService<EnsaioKit> {

	private EnsaioKitDAO ensaioKitDAO;
	
	/**
	 * @param ensaioKitDAO the ensaioKitDAO to set
	 */
	public void setEnsaioAnaliseKitDAO(EnsaioKitDAO ensaioKitDAO) {
		this.ensaioKitDAO = ensaioKitDAO;
	}
	
	/* (non-Javadoc)
	 * @see org.nextframework.service.GenericService#findBy(java.lang.Object, java.lang.String[])
	 */
	public List<EnsaioKit> findByEa(Ensaio ea) {
		return ensaioKitDAO.findByEa(ea);
	}

}
