package br.com.mss.labqp.controller.modulo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.nextframework.authorization.crud.CrudAuthorizationModule;
import org.nextframework.controller.Controller;
import org.nextframework.controller.NoActionHandlerException;
import org.nextframework.controller.crud.CrudController;
import org.springframework.web.servlet.ModelAndView;

import br.com.mss.labqp.financeiro.entity.Documento;
import br.com.mss.labqp.financeiro.entity.DocumentoFiltro;

@Controller(path = "/financeiro/crud/Documento", authorizationModule = CrudAuthorizationModule.class)
public class DocumentoCrud extends
CrudController<DocumentoFiltro, Documento, Documento> {

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
	      try{
		         return super.handleRequestInternal(request, response);
		      }catch(NoActionHandlerException exception){ //se nao achar a action
		         return sendRedirectToAction(null); //volta para a action default
		      }
	}
}