package br.com.mss.labqp.financeiro.service;

import java.util.List;

import org.nextframework.service.GenericService;

import br.com.mss.labqp.financeiro.dao.ParcelaDAO;
import br.com.mss.labqp.financeiro.entity.Parcela;
import br.com.mss.labqp.financeiro.entity.ParcelaFiltro;
import br.com.mss.labqp.financeiro.entity.TotalClientePeriodo;

public class ParcelaService extends GenericService<Parcela> {
	
	private ParcelaDAO parcelaDAO;
		
	/**
	 * @param parcelaDAO the parcelaDAO to set
	 */
	public void setParcelaDAO(ParcelaDAO parcelaDAO) {
		this.parcelaDAO = parcelaDAO;
	}


	public List<TotalClientePeriodo> totalClientePeriodo(ParcelaFiltro filtro) {
		return parcelaDAO.totalClientePeriodo(filtro);
	}
}
