package br.com.mss.labqp.orcamento.dao;

import java.util.List;

import org.nextframework.persistence.GenericDAO;
import org.nextframework.persistence.QueryBuilder;

import br.com.mss.labqp.orcamento.entity.ItensAdicionaisOrcamento;
import br.com.mss.labqp.orcamento.entity.ItensAdicionaisOrcamentoFiltro;

public class ItensAdicionaisOrcamentoDAO extends GenericDAO<ItensAdicionaisOrcamento> {

	public List<ItensAdicionaisOrcamento> findByFiltro(ItensAdicionaisOrcamentoFiltro filtro) {
		QueryBuilder<ItensAdicionaisOrcamento> query = query();
		query.where("itensAdicionaisOrcamento.orcamento.id = ?", filtro.getOrcamento().getId());
		return query.list();
	}

}
