package br.com.mss.labqp.orcamento.dao;

import org.nextframework.controller.crud.FiltroListagem;
import org.nextframework.persistence.GenericDAO;
import org.nextframework.persistence.QueryBuilder;

import br.com.mss.labqp.orcamento.entity.OrcamentoTipoAmostra;

public class OrcamentoTipoAmostraDAO extends GenericDAO<OrcamentoTipoAmostra> {

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#updateEntradaQuery(org.nextframework.persistence.QueryBuilder)
	 */
	@Override
	public void updateEntradaQuery(QueryBuilder<OrcamentoTipoAmostra> query) {
		query.leftOuterJoinFetch("orcamentoTipoAmostra.tipoAmostra");
		super.updateEntradaQuery(query);
	}

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#updateListagemQuery(org.nextframework.persistence.QueryBuilder, org.nextframework.controller.crud.FiltroListagem)
	 */
	@Override
	public void updateListagemQuery(QueryBuilder<OrcamentoTipoAmostra> query,
			FiltroListagem _filtro) {
		query.leftOuterJoinFetch("orcamentoTipoAmostra.tipoAmostra");
		super.updateListagemQuery(query, _filtro);
	}
	
	
}
