package br.com.mss.labqp.orcamento.entity;

import javax.persistence.Column;

import org.nextframework.bean.annotation.DescriptionProperty;
import org.nextframework.bean.annotation.DisplayName;
import org.nextframework.types.Money;
import org.nextframework.validation.annotation.MaxLength;
import org.nextframework.validation.annotation.Required;

import br.com.mss.labqp.FiltroListagemAudit;

public class ItensAdicionaisOrcamentoFiltro extends FiltroListagemAudit {

	private Long id;
	private String descricaoItem;
	private Money valor;
	private Orcamento orcamento;
	
	/**
	 * @return the descricaoItem
	 */
	@DisplayName("Descrio do Item")
	@Column(length=50)
	@MaxLength(50)
	@Required
	@DescriptionProperty
	public String getDescricaoItem() {
		return descricaoItem;
	}
	/**
	 * @param descricaoItem the descricaoItem to set
	 */
	public void setDescricaoItem(String descricaoItem) {
		this.descricaoItem = descricaoItem;
	}
	/**
	 * @return the valor
	 */
	@Required
	public Money getValor() {
		return valor;
	}
	/**
	 * @param valor the valor to set
	 */
	public void setValor(Money valor) {
		this.valor = valor;
	}
	/**
	 * @return the orcamento
	 */
	public Orcamento getOrcamento() {
		return orcamento;
	}
	/**
	 * @param orcamento the orcamento to set
	 */
	public void setOrcamento(Orcamento orcamento) {
		this.orcamento = orcamento;
	}
	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

}
