/**
 * 
 */
package br.com.mss.labqp.programacao.entity;

import javax.persistence.Embedded;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.nextframework.bean.annotation.DisplayName;
import org.nextframework.validation.annotation.Required;

import br.com.mss.labqp.BasicBean;

/**
 * @author Marlon
 *
 */
@Entity
@Table(name = "servicoEsgotamento")
@DisplayName("Servio de Esgotamento")
@SequenceGenerator(allocationSize = 1, name = "SEQUENCE", sequenceName = "SQ_SERVICO_ESGOTAMENTO_ID")
public class ServicoEsgotamento extends BasicBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4445202788055783557L;
	
	private Programacao programacao;
	private PontoColeta pontoColeta;
	/**
	 * @return the programacao
	 */
	@ManyToOne(fetch = FetchType.LAZY)
	@Required
	public Programacao getProgramacao() {
		return programacao;
	}
	/**
	 * @param programacao the programacao to set
	 */
	public void setProgramacao(Programacao programacao) {
		this.programacao = programacao;
	}
	/**
	 * @return the pontoColeta
	 */
	@Embedded
	public PontoColeta getPontoColeta() {
		return pontoColeta;
	}
	/**
	 * @param pontoColeta the pontoColeta to set
	 */
	public void setPontoColeta(PontoColeta pontoColeta) {
		this.pontoColeta = pontoColeta;
	}
	
	
	

}
