/**
 * 
 */
package br.com.mss.labqp.requisicao.entity;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.Column;

import org.nextframework.types.Money;
import org.springframework.format.annotation.NumberFormat;
import org.springframework.format.annotation.NumberFormat.Style;

/**
 * @author marlon
 *
 */
public class ExtratoMensal {

	private Long taId;
	private String taNome;
	private Integer quantidade;
	private Money total;
	private BigDecimal percentual;
	private List<EnsaioAnaliseReport> listEnsaioAnalise; 

	/**
	 * @return the taId
	 */
	public Long getTaId() {
		return taId;
	}
	/**
	 * @param taId the taId to set
	 */
	public void setTaId(Long taId) {
		this.taId = taId;
	}
	/**
	 * @return the taNome
	 */
	public String getTaNome() {
		return taNome;
	}
	/**
	 * @param taNome the taNome to set
	 */
	public void setTaNome(String taNome) {
		this.taNome = taNome;
	}
	/**
	 * @return the quantidade
	 */
	public Integer getQuantidade() {
		return quantidade;
	}
	/**
	 * @param quantidade the quantidade to set
	 */
	public void setQuantidade(Integer quantidade) {
		this.quantidade = quantidade;
	}
	/**
	 * @return the total
	 */
	public Money getTotal() {
		return total;
	}
	/**
	 * @param total the total to set
	 */
	public void setTotal(Money total) {
		this.total = total;
	}
	/**
	 * @return the listEnsaioAnalise
	 */
	public List<EnsaioAnaliseReport> getListEnsaioAnalise() {
		return listEnsaioAnalise;
	}
	/**
	 * @param listEnsaioAnalise the listEnsaioAnalise to set
	 */
	public void setListEnsaioAnalise(List<EnsaioAnaliseReport> listEnsaioAnalise) {
		this.listEnsaioAnalise = listEnsaioAnalise;
	}
	/**
	 * @return the percentual
	 */
	@Column(precision=6,scale=2)
	@NumberFormat(style = Style.PERCENT)
	public BigDecimal getPercentual() {
		return percentual;
	}
	/**
	 * @param percentual the percentual to set
	 */
	public void setPercentual(BigDecimal percentual) {
		this.percentual = percentual;
	}
	
	

	
}
