<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:listagem>
	<t:janelaFiltro>
		<t:tabelaFiltro columns="4">
			<t:property name="id" style="width:50px;"/>
			<n:panel>Perodo</n:panel>
			<n:panel propertyRenderAsDouble="true" >
				<t:property name="dataI" type="DATE" renderAs="single" showLabel="false"/>
				<t:property name="dataF" type="DATE" label="&agrave;&nbsp;&nbsp;" renderAs="single"/>
			</n:panel>
			<t:property name="cliente" blankLabel="Todos" itens="clienteService.findForCombo('cnpj')" />			
			<t:property name="coletador" blankLabel="Todos"/>
			<t:property name="tipoAmostra" blankLabel="Todos"/>
			<t:property name="filtroExcluido" blankLabel="Todos"/>
			<t:property name="local" colspan="2"/>
		</t:tabelaFiltro>
	</t:janelaFiltro>
	<t:janelaResultados>
		<t:tabelaResultados showConsultarLink="true">
			<t:property name="id" headerStyle="width:50px;text-align:right;"/>
	        <n:property name="cliente.nome">
	            <n:column header="Cliente">
	                <n:link url="/cadastro/crud/Cliente?ACAO=editar&id=${agenda.cliente.id }" description="Consulta a cliente">${value}</n:link>
	            </n:column>
	        </n:property>
	        <n:property name="coletador" />
	        <t:property name="data" bodyStyle="width: 50px;"/>
	        <t:property name="tipoAmostra"/>
	        <t:property name="local" bodyStyle="width: 300px;"/>
		</t:tabelaResultados>
	</t:janelaResultados>
</t:listagem>