<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada>
		<t:tabelaEntrada>
			<t:property name="id"/>
			<t:property name="nome" />
			<t:property name="telefone" />
			<t:property name="email" />
  			<t:property name="endereco.logradouro" />
			<t:property name="endereco.numero" type="INTEGER"/>
			<t:property name="endereco.complemento"/>
			<t:property name="endereco.bairro"/>
			<t:property name="endereco.cidade"/>
			<t:property name="endereco.cep" type="CEP"/>
			<t:property name="endereco.uf" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
			<t:property name="endereco.pontoReferencia"/>
		</t:tabelaEntrada>
		<t:detalhe name="clientes" showBotaoNovaLinha="false" showColunaAcao="false" showBotaoRemover="false">
		    <t:property name="id" />
		    <t:property name="nome" write="true" type="hidden" />
		</t:detalhe>
	</t:janelaEntrada>
</t:entrada>