<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada>
		<t:tabelaEntrada>
			<t:property name="id"/>
			<t:property name="nome" />
		</t:tabelaEntrada>
		<t:detalhe name="tpAmostraEnsaios" >
			<n:column>
				<n:panelGrid columns="10" propertyRenderAsDouble="true">
					<t:property name="id" type="HIDDEN" write="true"/>
					<t:property name="ensaio"/>
					<t:property name="unidade"/>
					<t:property name="metodoAnalitico"/>
					<t:property name="embalagem"/>
					<t:property name="conservante"/>
					<t:property name="procAnalise" label="Prc. de Anlise"/>
					<t:property name="prazoEntrega"/>
					<t:property name="prazo" type="SELECT_ONE_RADIO" includeBlank="false"/>
					<t:property name="prazoVencimento"/>
					<t:property name="ld"/>
					<t:property name="volume"/>
				</n:panelGrid>
			</n:column>
		</t:detalhe>
	</t:janelaEntrada>
</t:entrada>