<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:listagem>
	<t:janelaFiltro>
		<t:tabelaFiltro columns="4">
			<n:panelGrid columns="4" propertyRenderAsDouble="true">
				<t:property name="documento"  useAjax="true" selectOnePath="/financeiro/crud/Documento"/>
				<t:property name="tipoDocEnum" blankLabel="Todos"/>
				<t:property name="parcelaSeq" />
				<t:property name="situacaoDocEnum" label="Listar pagamentos:" blankLabel="Todos"/>
				<t:property name="cliente"  useAjax="true" selectOnePath="/cadastro/crud/Cliente" colspan="4" size="60"/>
			</n:panelGrid>
			<n:panelGrid columns="3" propertyRenderAsDouble="true" >
				<t:property name="dataVencIni" type="DATE" label="Perodo de Vencimentos"/>
				<t:property name="dataVencFim" type="DATE" label="&agrave;&nbsp;&nbsp;" renderAs="single" />
				<t:property name="dataPagIni" type="DATE" label="Perodo de Pagamentos"/>
				<t:property name="dataPagFim" type="DATE" label="&agrave;&nbsp;&nbsp;" renderAs="single"/>
				<t:property name="dataProcIni" type="DATE" label="Perodo de Processamento"/>
				<t:property name="dataProcFim" type="DATE" label="&agrave;&nbsp;&nbsp;" renderAs="single"/>
			</n:panelGrid>
		</t:tabelaFiltro>
	</t:janelaFiltro>
	<t:janelaResultados>
		<t:tabelaResultados showConsultarLink="true">
			<t:property name="id" headerStyle="width:50px;text-align:right;"/>
			<t:property name="documento" bodyStyle="text-align:right;" headerStyle="text-align:right;width:50px;"/>
			<t:property name="documento.cliente" />
			<t:property name="documento.tipoDocEnum" />
			<t:property name="parcelaSeq" headerStyle="text-align:right;"/>
			<t:property name="dataProcessamento"/>
			<t:property name="dataVencimento" type="DATE"/>
			<t:property name="valorParcela" type="MONEY" headerStyle="text-align:right;"/>
			<t:property name="dataPagamento" type="DATE"/>
			<t:property name="valorPagamento" type="MONEY" headerStyle="text-align:right;"/>
		</t:tabelaResultados>
	</t:janelaResultados>
</t:listagem>