<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:entrada>
	<t:janelaEntrada showSubmit="false">
		<t:tabelaEntrada>
			<n:panelGrid columns="2" rowStyles="border:true">
			    <t:property name="id"/>
				<t:property name="data" type="DATE"  pattern="dd/MM/yyyy"/>
				<t:property name="validade" type="INTEGER"/>
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true" />
				<t:property name="desconto" type="FLOAT" pattern="####,##,#0.00" />
				<t:property name="valorTotal" type="HIDDEN" write="true" panelStyle="color:red;"/>
				<t:property name="valorDesconto" type="HIDDEN" write="true" panelStyle="color:blue;"/>
				<t:property name="valorTotalLiq" type="HIDDEN" write="true" panelStyle="color:green;"/>
			</n:panelGrid>
		</t:tabelaEntrada >
		<t:detalhe name="tiposAmostras" showBotaoNovaLinha="false" showColunaAcao="false">
		    <t:property name="id"/>
			<t:property name="tipoAmostra"/>
			<t:property name="descricao" type="TEXT" size="100" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
			<t:property name="valorTotal" />
		</t:detalhe>		
		<t:detalhe name="itensAdicionaisOrcamentos"  showBotaoNovaLinha="false" showColunaAcao="false">
		    <t:property name="id"/>
			<t:property name="descricaoItem"/>
			<t:property name="valor"/>
		</t:detalhe>	
	</t:janelaEntrada>		
</t:entrada>		