<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>
<%@ taglib prefix="a" uri="ajax"%>

<script type="text/javascript">
var orcamentoTipoAmostraId = '';
function verificaId(id){
	if (id != null && id != '') {
		location.href='Orcamento?ACAO=getParAnaliseByTipoAmostra&id='+id;
		return true;
	}else {	
		alert(" necessrio gravar o tipo de amostra primeiro!");
		return false;
	}
}

function atualizaId(id) {
	if (id != null) {
		orcamentoTipoAmostraId = id;
	}	
}

function montaParametro(){
	return "id="+orcamentoTipoAmostraId;
}
</script>
<t:entrada>
	<t:janelaEntrada>
		<t:tabelaEntrada >
			<n:panelGrid columns="2" rowStyles="border:true">
			    <t:property name="id"/>
				<t:property name="data" type="DATE"  pattern="dd/MM/yyyy" id="f_data"/>
				<t:property name="validade" type="INTEGER"/>
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true" />
				<t:property name="desconto" type="FLOAT" pattern="####,##,#0.00" />
				<t:property name="valorTotal" type="HIDDEN" write="true" panelStyle="color:red;"/>
				<t:property name="valorDesconto" type="HIDDEN" write="true" panelStyle="color:blue;"/>
				<t:property name="valorTotalLiq" type="HIDDEN" write="true" panelStyle="color:green;"/>
				<t:acao>
					<n:link type="button" url="javascript:gerarRequisicaoOrcamento();">Gerar Requisio de Anlise</n:link>
					<a:call functionName="gerarRequisicaoOrcamento" action="gerarRequisicaoOrcamento" parameters="id=${orcamento.id}"/>
				</t:acao>
			</n:panelGrid>
		</t:tabelaEntrada>
		<t:detalhe name="tiposAmostras">
		    <t:property name="id" type="HIDDEN" write="true"/>
			<t:property name="tipoAmostra"/>
			<t:property name="descricao" type="TEXT" size="100" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
			<t:property name="valorTotal" type="HIDDEN" write="true" />
	        <n:column header="Informar Parmetros de Analise" >
		 		<n:link type="button" url="javascript:verificaId(${orcamentoTipoAmostra.id});" >Informar/alterar</n:link>
	        </n:column>
		</t:detalhe>
		<t:detalhe name="itensAdicionaisOrcamentos">
		    <t:property name="id" type="HIDDEN" write="true"/>
			<t:property name="descricaoItem"/>
			<t:property name="valor"/>
		</t:detalhe>	
	</t:janelaEntrada>
	<a:call functionName="gerarRequisicaoTipoAmostra" action="gerarRequisicaoTipoAmostra" parameters="javascript:montaParametro()"/>
</t:entrada>

			