<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<script type="text/javascript">
function confirmar() {
	return confirm("Confirma os dados?");
}
</script>

<t:tela titulo="Incluso dos Resultados das Anlises">
	<n:bean name="itemRequisicaoAnaliseFiltro">
		<t:propertyConfig mode="input" renderAs="double">
			<n:panelGrid class="inputWindow" width="100%">
				<n:panelGrid columns="6" >
					<t:property name="id" style="width: 100px" panelStyle="halign: left;"/>
					<t:property name="requisicaoAnalise" size="10" selectOnePath="/requisicao/crud/RequisicaoAnalise" useAjax="true"/>
					<t:property name="analiseAnalise"  blankLabel="Todos"/>
					<t:property name="situacaoRequisicaoEnum" showLabel="FALSE" blankLabel="Todos"/>
					<n:submit action="pesquisarItensSemResultado">Pesquisar</n:submit>
				</n:panelGrid>
			</n:panelGrid>
		</t:propertyConfig>
	</n:bean>
	<n:group legend="Ensaios de Anlise" >
		<n:bean name="listaItensRequisicaoAnalise">
			<t:detalhe name="itensRequisicaoAnalise" showBotaoNovaLinha="false" showColunaAcao="false" >
		        <t:property name="id"/>
		        <n:property name="requisicaoAnalise.cliente.nome">
		            <n:column header="Cliente">
		                <n:link action="consultar&id=${itemRequisicaoAnalise.requisicaoAnalise.id }" description="Consulta a Requisio">${value}</n:link>
		            </n:column>
		        </n:property>
		        <n:property name="requisicaoAnalise.id" >
		            <n:column header="Requisio">
		                <n:link action="consultar&id=${requisicaoAnalise.id}" description="Consulta a Requisio">${value}</n:link>
		            </n:column>
		        </n:property>
		        <n:property name="requisicaoAnalise.dataColeta" >
		            <n:column header="Data Coleta">
		                <n:link action="consultar&id=${requisicaoAnalise.id}" description="Consulta a Requisio">${value}</n:link>
		            </n:column>
		        </n:property>
				<t:property name="resultado"/>
				<t:property name="unidadeMedida"/>
				<t:property name="metodologia"/>
				<t:property name="vmp"/>
		        <n:property name="requisicaoAnalise.situacaoRequisicaoEnum" >
		            <n:column header="Situao">
		                <n:link action="consultar&id=${requisicaoAnalise.id}" description="Consulta a Requisio">${value}</n:link>
		            </n:column>
		        </n:property>
		        
			</t:detalhe>
		</n:bean>
	</n:group>
	<t:acao>
		<n:submit action="inclusaoResultados" confirmationScript="confirmar()">Gravar os resultados informados</n:submit>
		<n:link url="/admin/Index" type="button">Fechar</n:link>
	</t:acao>
</t:tela>
