<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<script type="text/javascript">
function confirmar(arg) {
	if (arg == "0") {	
		return confirm("Confirma os dados?");
	}	
	else {
		return confirm("Confirma a gerao do laudo para essa requisio?");	
	}
}
</script>

<t:entrada >
	<t:janelaEntrada submitConfirmationScript="confirmar(0)">
		<t:tabelaEntrada columns="1">
			<n:panelGrid columns="4">
				<c:if test="${empty requisicaoAnalise.id}">
					<n:panel colspan="2">&nbsp;${requisicaoAnalise.id}</n:panel>	
				</c:if>
				<t:property name="id"/>
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
				<n:panel>Data/Hora Coleta</n:panel>
				<n:panel>
					<t:property name="dataColeta" type="DATE"/>
					<t:property name="horaColeta" type="TIME"/>
				</n:panel>
				<n:panel>Data/Hora Entrada</n:panel>
				<n:panel>
					<t:property name="dataEntrada" type="DATE"/>
					<t:property name="horaEntrada" type="TIME"/>
				</n:panel>
				<t:property name="cispoa"/>
				<t:property name="dataSaida" type="DATE"/>
				<t:property name="coletador"/>
				<t:property name="tipoAmostra"/>
				<t:property name="identificaoAmostra" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="localColeta" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" size="60"/>
				<t:property name="dataFabricacao" type="DATE"/>
				<t:property name="dataValidade" type="DATE"/>
				<t:property name="temperaturaAmostra" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="quantidadeAmostra" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" size="60"/>
				<t:property name="embalagem" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();"/>
				<t:property name="lacreCispoa" style="text-transform: uppercase;" onkeyup="javascript:this.value=this.value.toUpperCase();" size="60"/>
				<t:property name="latitude"/>
				<t:property name="longitude"/>
				<t:property name="identGPS"/>
				<t:property name="temperaturaAr"/>
				<t:property name="condicaoTempo"  colspan="4"/>
				<t:property name="conclusao" colspan="4" cols="75" rows="2"  labelStyle="vertical-align:top;" />
				<t:property name="situacaoRequisicaoEnum" type="HIDDEN" write="true"/>
				<t:property name="orcamento.id" type="hidden" write="true"/>
			</n:panelGrid>
			<t:acao>
			<c:if test="${requisicaoAnalise.situacaoRequisicaoEnum == 'RESULTADOS_INCLUIDOS'}">
					<n:submit action="gerarLaudo" confirmationScript="confirmar(1)" type="BUTTON" description="Gerar Laudo" validate="true">Gerar o Laudo da requisio </n:submit>
				</c:if>
			</t:acao>
		</t:tabelaEntrada>
		<t:detalhe name="itensRequisicaoAnalise">
		    <t:property name="id" type="HIDDEN" write="true"/>
			<t:property name="ensaioAnalise"/>
			<t:property name="resultado"/>
			<t:property name="unidadeMedida"/>
			<t:property name="metodologia"/>
			<t:property name="vmp"/>
			<t:property name="ld"/>
			<t:property name="valor"/>
		</t:detalhe>
	</t:janelaEntrada>		
</t:entrada>

			