<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>


<script type="text/javascript">
function selecionar_tudo(op){
	for (i=0;i<document.form.elements.length;i++) {
    	var el = document.form.elements[i];
		if(el.type == "checkbox"){
    		
    		if (op != 2) 
        		el.checked=op;
    		else {
        		if (el.checked == true)
        			el.checked = false;
        		else 
        			el.checked = true;
    		}
    		el.value=el.checked;
    	}   
    } 
}
</script>

<t:tela titulo="Gerar Financeiro">
	<n:bean name="requisicaoAnalise">
		<t:propertyConfig mode="input" renderAs="double">
			<n:panelGrid class="inputWindow" width="100%">
				<n:panelGrid columns="2">
					<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
					<n:submit action="pesquisarReqComLaudo">Pesquisar</n:submit>
				</n:panelGrid>
			</n:panelGrid>
		</t:propertyConfig>
	</n:bean>
	<n:group legend="Requisies de Anlise" >
		<t:acao >
			<n:panel >
				<n:link type="BUTTON" action="javascript:selecionar_tudo(true);">Marcar todos</n:link>
				<n:link type="BUTTON" action="javascript:selecionar_tudo(false);">Desmarcar todos</n:link>
				<n:link type="BUTTON" action="javascript:selecionar_tudo(2);">Trocar seleo</n:link>
			</n:panel>
		</t:acao>
		<n:bean name="listaRequisicoesAnalise">
			<t:detalhe name="requisicoesAnalise" showBotaoNovaLinha="false" showColunaAcao="false" >
		 		<t:property name="selecionado" type="CHECKBOX"  />
		        <t:property name="id"/>
		        <n:property name="cliente.nome">
		            <n:column header="Cliente">
		                <n:link action="consultar&id=${requisicaoAnalise.id }" description="Consulta a Requisio">${value}</n:link>
		            </n:column>
		        </n:property>
		        <n:property name="coletador.nome" >
		            <n:column header="Coletador">
		                <n:link action="consultar&id=${requisicaoAnalise.id}" description="Consulta a Requisio"  >${value}</n:link>
		            </n:column>
		        </n:property>
		        <n:property name="dataEntrada" >
		            <n:column header="Entrada" >
		                <n:link action="consultar&id=${requisicaoAnalise.id}" description="Consulta a Requisio" >${value}</n:link>
		            </n:column>
		        </n:property>
		        <n:property name="situacaoRequisicaoEnum" >
		            <n:column header="Situao">
		                <n:link action="consultar&id=${requisicaoAnalise.id}" description="Consulta a Requisio">${value}</n:link>
		            </n:column>
		        </n:property>
			</t:detalhe>
		</n:bean>
	</n:group>
	<t:acao>
		<n:submit action="gerarFinaceiro">Gerar Financeiro</n:submit>
		<n:link url="/admin/Index" type="button">Fechar</n:link>
	</t:acao>
</t:tela>