<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:relatorio titulo="Quantidade Requisies por Perodo" >
	<t:janelaFiltro >
		<t:tabelaFiltro submitAction="gerar" submitLabel="Imprimir Quantidade de Requisies por Perodo">
			<n:panelGrid propertyRenderAsDouble="true" columns="4" >
				<t:property name="tipoAmostra"  blankLabel="Todos"/>
				<n:panel>Perodo</n:panel>
				<n:panel>				
					<t:property name="dataI" type="DATE" showLabel="false"/>
					<t:property name="dataF" type="DATE" label="&agrave;" />
				</n:panel>	
				<t:property name="cliente" size="60" selectOnePath="/cadastro/crud/Cliente" useAjax="true"/>
				<t:property name="situacaoRequisicaoEnum" blankLabel="Todos"/>
			</n:panelGrid>
		</t:tabelaFiltro>
	</t:janelaFiltro>
</t:relatorio>