package br.com.mss.labqp;

import java.util.Date;

import javax.persistence.Table;

import org.nextframework.authorization.Authorization;
import org.nextframework.persistence.GenericDAO;

/**
 * 
 * @author mscheffer
 * 03/01/2011
 * 
 */
public class GenericAuditDAO<BEAN> extends GenericDAO<BEAN> {

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#saveOrUpdate(java.lang.Object)
	 */
	@Override
	public void saveOrUpdate(BEAN bean) {
		if (((BasicBeanAudit) bean).getId() == null) {
			((BasicBeanAudit) bean).setDataInc(new Date());
			((BasicBeanAudit) bean).setUserInc(Authorization.getUser().getLogin());
			((BasicBeanAudit) bean).setDataAtu(new Date());
			((BasicBeanAudit) bean).setUserAtu(Authorization.getUser().getLogin());
		} else {
			BasicBeanAudit bb = (BasicBeanAudit) load(bean);
			((BasicBeanAudit) bean).setDataInc(bb.getDataInc());
			((BasicBeanAudit) bean).setUserInc(bb.getUserInc());
			((BasicBeanAudit) bean).setDataExc(bb.getDataExc());
			((BasicBeanAudit) bean).setUserExc(bb.getUserExc());
			
			((BasicBeanAudit) bean).setDataAtu(new Date());
			((BasicBeanAudit) bean).setUserAtu(Authorization.getUser().getLogin());
		}    
		super.saveOrUpdate(bean);
	}

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#delete(java.lang.Object)
	 */
	@Override
	public void delete(BEAN bean) {
		bean = load(bean);
		if (((BasicBeanAudit) bean).getDataExc() == null) {
			((BasicBeanAudit) bean).setDataExc(new Date());
			((BasicBeanAudit) bean).setUserExc(Authorization.getUser().getLogin());
		}
	    this.getHibernateTemplate().update(bean);
	}

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#getQueryFindForCombo(java.lang.String)
	 */
	@Override
	protected String getQueryFindForCombo(String hbQueryFindForCombo) {
		hbQueryFindForCombo = hbQueryFindForCombo.concat(" where ");
		hbQueryFindForCombo = hbQueryFindForCombo.concat(beanClass.getAnnotation(Table.class).name());
		hbQueryFindForCombo = hbQueryFindForCombo.concat(".dataExc is null" );
		return super.getQueryFindForCombo(hbQueryFindForCombo);
	}


}
