package br.com.mss.labqp.admin.entity;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.nextframework.bean.annotation.DisplayName;

import br.com.mss.labqp.BasicBean;

@Entity
@Table(name = "colaboradorpapel")
@DisplayName("Colaborador Papel")
@SequenceGenerator(allocationSize = 1, name = "SEQUENCE", sequenceName = "SQ_COLABORADOR_PAPEL_ID")
public class ColaboradorPapel extends BasicBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4769057472463089371L;

	private Colaborador colaborador;
	private Papel papel;

	/**
	 * @return the colaborador
	 */
	@ManyToOne(fetch = FetchType.LAZY)
	public Colaborador getColaborador() {
		return colaborador;
	}

	/**
	 * @param colaborador
	 *            the colaborador to set
	 */
	public void setColaborador(Colaborador colaborador) {
		this.colaborador = colaborador;
	}

	/**
	 * @return the papel
	 */
	@ManyToOne(fetch = FetchType.LAZY)
	public Papel getPapel() {
		return papel;
	}

	/**
	 * @param papel
	 *            the papel to set
	 */
	public void setPapel(Papel papel) {
		this.papel = papel;
	}

}
