package br.com.mss.labqp.cadastro.dao;

import org.nextframework.controller.crud.FiltroListagem;
import org.nextframework.persistence.QueryBuilder;

import br.com.mss.labqp.GenericAuditDAO;
import br.com.mss.labqp.cadastro.entity.TpAmostraEnsaio;

public class TpAmostraEnsaioDAO extends GenericAuditDAO<TpAmostraEnsaio> {

	/* (non-Javadoc)
	 * @see org.nextframework.persistence.GenericDAO#updateListagemQuery(org.nextframework.persistence.QueryBuilder, org.nextframework.controller.crud.FiltroListagem)
	 */
	@Override
	public void updateListagemQuery(QueryBuilder<TpAmostraEnsaio> query,
			FiltroListagem _filtro) {
		query.joinFetch("tpAmostra.ensaio");
		super.updateListagemQuery(query, _filtro);
	}

}
