package br.com.mss.labqp.cadastro.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.nextframework.bean.annotation.DescriptionProperty;
import org.nextframework.bean.annotation.DisplayName;
import org.nextframework.validation.annotation.MaxLength;
import org.nextframework.validation.annotation.Required;

import br.com.mss.labqp.BasicBeanAudit;

@Entity
@Table(name = "unidade")
@DisplayName("Unidade")
@SequenceGenerator(allocationSize = 1, name = "SEQUENCE", sequenceName = "SQ_UNIDADE_ID")
public class Unidade extends BasicBeanAudit {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2876919721769031557L;

	private String nome;

	@DescriptionProperty
	@Required
	@Column(length = 20)
	@MaxLength(20)
	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

}
