package br.com.mss.labqp.cadastro.service;

import org.nextframework.service.GenericService;

import br.com.mss.labqp.cadastro.dao.EnderecoClienteDAO;
import br.com.mss.labqp.cadastro.entity.Cliente;
import br.com.mss.labqp.cadastro.entity.EnderecoCliente;
import br.com.mss.labqp.geral.TipoEnderecoEnum;

public class EnderecoClienteService extends GenericService<EnderecoCliente>{
	private EnderecoClienteDAO enderecoClienteDAO;

	/**
	 * @param enderecoClienteDAO the enderecoClienteDAO to set
	 */
	public void setEnderecoClienteDAO(EnderecoClienteDAO enderecoClienteDAO) {
		this.enderecoClienteDAO = enderecoClienteDAO;
	}
	
	public EnderecoCliente  findByTipoEndereco(Cliente cliente, TipoEnderecoEnum tipoEndereco) {
		return enderecoClienteDAO.findByTipoEndereco(cliente, tipoEndereco);
	}
}
