package br.com.mss.labqp.controller.modulo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.nextframework.authorization.crud.CrudAuthorizationModule;
import org.nextframework.controller.Controller;
import org.nextframework.controller.NoActionHandlerException;
import org.nextframework.controller.crud.CrudController;
import org.springframework.web.servlet.ModelAndView;

import br.com.mss.labqp.cadastro.entity.Unidade;
import br.com.mss.labqp.cadastro.entity.UnidadeFiltro;

@Controller(path = "/cadastro/crud/Unidade", authorizationModule = CrudAuthorizationModule.class)
public class UnidadeCrud extends
		CrudController<UnidadeFiltro, Unidade, Unidade> {

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
	      try{
		         return super.handleRequestInternal(request, response);
		      }catch(NoActionHandlerException exception){ //se nao achar a action
		         return sendRedirectToAction(null); //volta para a action default
		      }
	}
}
