package br.com.mss.labqp.programacao.entity;

import org.nextframework.bean.annotation.DisplayName;
import org.nextframework.validation.annotation.MaxLength;

import br.com.mss.labqp.FiltroListagemAudit;
import br.com.mss.labqp.geral.DiaSemanaEnum;
import br.com.mss.labqp.geral.TipoProgramacaoEnum;

public class ProgramacaoFiltro extends FiltroListagemAudit {

	private Long Id;
	private DiaSemanaEnum diaSemana;
	private TipoProgramacaoEnum tipoProgramacao;
	private String ponto;
	/**
	 * @return the id
	 */
	public Long getId() {
		return Id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		Id = id;
	}
	/**
	 * @return the tipoProgramacao
	 */
	@DisplayName("Tipo de programao")
	public TipoProgramacaoEnum getTipoProgramacao() {
		return tipoProgramacao;
	}
	/**
	 * @param tipoProgramacao the tipoProgramacao to set
	 */
	public void setTipoProgramacao(TipoProgramacaoEnum tipoProgramacao) {
		this.tipoProgramacao = tipoProgramacao;
	}
	/**
	 * @return the ponto
	 */
	@DisplayName("Ponto de Coleta")
	@MaxLength(60)
	public String getPonto() {
		return ponto;
	}
	/**
	 * @param ponto the ponto to set
	 */
	public void setPonto(String ponto) {
		this.ponto = ponto;
	}
	/**
	 * @return the diaSemana
	 */
	@DisplayName("Dia da semana")
	public DiaSemanaEnum getDiaSemana() {
		return diaSemana;
	}
	/**
	 * @param diaSemana the diaSemana to set
	 */
	public void setDiaSemana(DiaSemanaEnum diaSemana) {
		this.diaSemana = diaSemana;
	}

}
