package br.com.mss.labqp.requisicao.entity;

import javax.persistence.Column;

import org.nextframework.bean.annotation.DisplayName;
import org.nextframework.validation.annotation.MaxLength;

import br.com.mss.labqp.FiltroListagemAudit;
import br.com.mss.labqp.cadastro.entity.MetodoAnalitico;
import br.com.mss.labqp.cadastro.entity.Ensaio;
import br.com.mss.labqp.cadastro.entity.Unidade;
import br.com.mss.labqp.geral.SituacaoRequisicaoEnum;

public class ItemRequisicaoAnaliseFiltro extends FiltroListagemAudit {

	private Long id;
	private RequisicaoAnalise requisicaoAnalise;
	private Ensaio ensaio;
	private Unidade unidade;
	private MetodoAnalitico metodoAnalitico;
	private String vmp;
	private SituacaoRequisicaoEnum situacaoRequisicaoEnum;
	
	/**
	 * @return the vmp
	 */
	@Column(length = 20)
	@MaxLength(20)
	@DisplayName("VMP")
	public String getVmp() {
		return vmp;
	}
	/**
	 * @param vmp the vmp to set
	 */
	public void setVmp(String vmp) {
		this.vmp = vmp;
	}
	/**
	 * @return the metodoAnalitico
	 */
	public MetodoAnalitico getMetodologia() {
		return metodoAnalitico;
	}
	/**
	 * @param metodoAnalitico the metodoAnalitico to set
	 */
	public void setMetodologia(MetodoAnalitico metodoAnalitico) {
		this.metodoAnalitico = metodoAnalitico;
	}
	/**
	 * @return the requisicaoAnalise
	 */
	public RequisicaoAnalise getRequisicaoAnalise() {
		return requisicaoAnalise;
	}
	/**
	 * @param requisicaoAnalise the requisicaoAnalise to set
	 */
	public void setRequisicaoAnalise(RequisicaoAnalise requisicaoAnalise) {
		this.requisicaoAnalise = requisicaoAnalise;
	}
	/**
	 * @return the ensaio
	 */
	@DisplayName("Ensaio de Anlise")
	public Ensaio getEnsaioAnalise() {
		return ensaio;
	}
	/**
	 * @param ensaio the ensaio to set
	 */
	public void setEnsaioAnalise(Ensaio ensaio) {
		this.ensaio = ensaio;
	}
	/**
	 * @return the unidade
	 */
	public Unidade getUnidadeMedida() {
		return unidade;
	}
	/**
	 * @param unidade the unidade to set
	 */
	public void setUnidadeMedida(Unidade unidade) {
		this.unidade = unidade;
	}
	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return the situacaoRequisicaoEnum
	 */
	@DisplayName("Situao")
	public SituacaoRequisicaoEnum getSituacaoRequisicaoEnum() {
		return situacaoRequisicaoEnum;
	}
	/**
	 * @param situacaoRequisicaoEnum the situacaoRequisicaoEnum to set
	 */
	public void setSituacaoRequisicaoEnum(
			SituacaoRequisicaoEnum situacaoRequisicaoEnum) {
		this.situacaoRequisicaoEnum = situacaoRequisicaoEnum;
	}
	
}
