package br.com.mss.labqp.requisicao.service;

import java.util.List;

import org.nextframework.service.GenericService;

import br.com.mss.labqp.requisicao.dao.ItemRequisicaoAnaliseDAO;
import br.com.mss.labqp.requisicao.dao.RequisicaoAnaliseDAO;
import br.com.mss.labqp.requisicao.entity.ItemRequisicaoAnalise;
import br.com.mss.labqp.requisicao.entity.ItemRequisicaoAnaliseFiltro;

public class ItemRequisicaoAnaliseService extends GenericService<ItemRequisicaoAnalise> {

	RequisicaoAnaliseDAO requisicaoAnaliseDAO;
	
	public List<ItemRequisicaoAnalise> findByFiltro(ItemRequisicaoAnaliseFiltro filtro){
		filtro.setOrderBy("requisicaoAnalise.id");
		ItemRequisicaoAnaliseDAO dao = (ItemRequisicaoAnaliseDAO) getGenericDAO(); 
		return dao.findByFiltro(filtro);
	}

	/**
	 * @param requisicaoAnaliseDAO the requisicaoAnaliseDAO to set
	 */
	public void setRequisicaoAnaliseDAO(RequisicaoAnaliseDAO requisicaoAnaliseDAO) {
		this.requisicaoAnaliseDAO = requisicaoAnaliseDAO;
	}

	
}
